Subject: [PSAMP] RE: [PMOL] Draft Charter for discussion

From: "STEPHAN Emile RD-CORE-LAN" <[email-masked]>
Date: Fri, 21 Sep 2007 16:25:57 +0200

Hi Al,

Is the WG pmol created in the transport area?

To take in account the last IPPM meeting output, I will remove the passive metrics stuffs from http://tools.ietf.org/html/draft-ietf-ippm-multimetrics-04.  These performance metrics are performed on real applications traffic transported by IETF-specified protocols. Are they an emanation of PSAMP WG or of the (IETF-specified) protocol actually observed?

Regards
Emile

> -----Message d'origine-----
> De : Al Morton [mailto:[email-masked]]
> Envoyé : vendredi 21 septembre 2007 15:24
> À : [email-masked]
> Objet : [PMOL] Draft Charter for discussion
> 
> Here's the initial draft of the charter.
> Comments welcome, of course.
> 
> Al
> 
> Proposed Charter (0.0)
> 
> Performance Metrics at Other Layers WG (PMOL)
> 
> There are often uncertainties about the performance and
> suitability of new technologies and applications for their intended
> audience, and the Internet is no exception. Most uncertainties are
> effectively addressed through quantified assessment of key performance
> indicators.  Standardized performance metrics add the desirable features
> of consistent implementation, interpretation, and comparison.
> 
> Although the IETF has two Working Groups dedicated to the development
> of performance metrics, they each have strict limitations in their
> charters:
> 
>   - The Benchmarking Methodology WG has addressed a range of networking
> technologies and protocols in their long history (such as IEEE 802.3,
> ATM, Frame Relay, and Routing Protocols), but the charter strictly
> limits their performance characterizations to the laboratory environment.
> 
>   - The IP Performance Metrics WG has the mandate to develop metrics
> applicable to live IP networks, but it is specifically prohibited from
> developing metrics that characterize traffic (such as a VoIP stream).
> 
> The IETF also has current and completed activities related to the
> reporting of application performance metrics (e.g. RAQMON) and is
> also actively involved in the development of reliable transport
> protocols which would affect the relationship between IP performance
> and application performance.
> 
> Thus there is a gap in the currently chartered coverage of IETF WGs:
> development of performance metrics for IP-based applications that
> operate over UDP, TCP, SCTP, DCCP, Forward Error Correction (FEC)
> and other robust transport protocols, and that can be used to
> characterize traffic on live networks.
> 
> The working group will focus on the completion of two RFCs:
> 
> 1. A PMOL framework and guidelines memo that includes the motivation
>     of work to define performance metrics for applications transported
>     on IETF-specified protocols, and how that work fills a need and a gap
>     in IETF-chartered work. The framework will describe the necessary
>     elements of performance metric drafts and the various types of metrics
>     that may be prepared in this work. The framework will also address the
>     need to specify the intended audience and the motivation for the
>     performance metrics. There will also be guidelines for a performance
>     metric development process that includes entry criteria for
>     new proposals (how a proposal might be evaluated for possible
>     endorsement by a protocol development working group), and how a
>     successful proposal will be developed by PMOL WG in cooperation with a
>     protocol development WG.
> 
> 2. A proof-of-concept RFC defining performance metrics for SIP, based on
>     draft-malas-performance-metrics.  This memo would serve as an example
> of
>     the framework and the PMOL development process in the IETF.
> 
> Discussion of new work proposals is strongly discouraged in the PMOL
> WG, except to advise a protocol development WG when they are evaluating
> a new work proposal for related performance metrics.
> 
> The PMOL WG will also be guided by a document describing how memos
> defining performance metrics are intended to advance along the IETF
> Standards track (draft-bradner-metricstest).
> 
> Milestones
> June 08  SIP Performance Metrics Draft to AD Review
> Sept 08  PMOL Framework and Guidelines Draft to AD Review
> 
> 
> 
> 
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pmol

_______________________________________________
PSAMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/psamp